<?php

namespace App\Controller;

use App\Composant\User\Infrastructure\UserDatabaseAdapter;
use Doctrine\Persistence\ManagerRegistry;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use function dd;

class TestController extends AbstractController
{

    public function __construct()
    {
    }

    #[Route('/foo')]
    public function index(ManagerRegistry $registry): Response
    {
        $DoctrineUser = new UserDatabaseAdapter($registry);
        $user = $DoctrineUser->findById(1);
        return new Response(
            $user->getId(). " " .$user->getLastname(),
            Response::HTTP_OK,
            ['content-type' => 'text/html']
        );
    }
}